View Issue Details

IDProjectCategoryView StatusLast Update
0032167LazarusPackagespublic2017-08-21 13:22
ReporterMichlAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform64bitOSWindowsOS Version7
Product Version1.9 (SVN)Product Build55538 
Target Version1.8Fixed in Version1.9 (SVN) 
Summary0032167: Regression: Revision 55424 breaks loading default undocked desktop after removing AnchorDockingDsgn
DescriptionUntill revision 55423, all changes you made with installed AnchorDockingDsgn are removed, if you remove that package. The last saved undocked desktop is taken again. That was fine!

After revision 55424, the settings you made, like switching off the IDE-Coolbar, are taken for undocked Desktop. IMHO this is not good, especially for new user, who just want test that package. IMHO the undocked desktop, what was used before, should be shown again.
Negative sideeffect after 55424, also the ObjectInspector isn't shown anymore after removing that package.
TagsNo tags attached.
Fixed in Revisionr55599
LazTarget-
Widgetset
Attached Files

Relationships

related to 0031981 closedMichl AnchorDockingDsgn doesn't initially respect IDE Coolbar settings 
related to 0032166 closedMichl Regression: Revision 55424 breaks loading of undocked desktop settings for initial AnchorDockingDsgn 
child of 0032083 closedOndrej Pokorny AnchorDocking desktops get deleted when AnchorDocking is uninstalled 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-07-19 11:49 Michl New Issue
2017-07-19 11:49 Michl Status new => assigned
2017-07-19 11:49 Michl Assigned To => Ondrej Pokorny
2017-07-19 11:49 Michl Relationship added related to 0032166
2017-07-19 11:50 Michl Relationship added related to 0031981
2017-07-19 11:55 Michl Summary 0032166: Regression: Revision 55242 breaks loading default undocked desktop after removing AnchorDockingDsgn => Regression: Revision 55242 breaks loading default undocked desktop after removing AnchorDockingDsgn
2017-07-20 12:11 Ondrej Pokorny Relationship added child of 0032083
2017-07-20 12:11 Ondrej Pokorny Summary Regression: Revision 55242 breaks loading default undocked desktop after removing AnchorDockingDsgn => Regression: Revision 55424 breaks loading default undocked desktop after removing AnchorDockingDsgn
2017-07-27 22:26 Michl Assigned To Ondrej Pokorny => Michl
2017-07-27 22:33 Michl Fixed in Revision => r55599
2017-07-27 22:33 Michl Status assigned => resolved
2017-07-27 22:33 Michl Fixed in Version => 1.9 (SVN)
2017-07-27 22:33 Michl Resolution open => fixed
2017-07-27 22:33 Michl Target Version => 1.8
2017-08-21 13:22 Michl Status resolved => closed